<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?> 
<?php if ( have_comments() ) : ?>
<section class="bg-1">
    <div class="container inner-spacer">
        <div class="row">
            <div class="col-lg-12">
                <h1 class="section-header section-header-post">
                    <?php echo esc_html__( 'Recent Comments', 'fightex' );?>
                </h1>
                <div class="inner-divider-half"></div>
                <div class="blog-comments">
                    <section class="comments">
                        <?php wp_list_comments('callback=fightex_theme_comment'); ?>
                    </section>
                </div>
            </div>
        </div>
        <div class="inner-divider"></div>
    </div>
</section>
<?php endif; ?>

<?php
  if ( is_singular() ) wp_enqueue_script( "comment-reply" );
      $aria_req = ( $req ? " aria-required='true'" : '' );
      $comment_args = array(
        'id_form' => 'form',        
        'class_form' => 'comment-form',                         
        'title_reply'=>esc_html__( 'Leave a comment', 'fightex' ),
        'title_reply_before' =>'<section class="bg-1">
								    <div class="container inner-spacer">
								        <div class="row">
								            <div>
								                <h1 class="section-header section-header-2 section-header-post">',
        'title_reply_after' => '</h1>
			                <div class="inner-divider-half"></div>
			                <div id="contact-form-2">',
        'fields' => apply_filters( 'comment_form_default_fields', array(
            'author' => '<div class="col-sm-6 col-md-6 col-lg-6">
                            <input class="requiredField name" id="name" name="name" placeholder="'.esc_attr__('Name', 'fightex').'" type="text">
                        </div>                 
                        ',
            'email' => '<div class="col-sm-6 col-md-6 col-lg-6">
                            <input class="requiredField email" id="email" name="email" placeholder="'.esc_attr__('Email', 'fightex').'" type="text">
                        </div>
                        ',
        ) ),   
        'comment_field' => '<div class="make-space">
                            <textarea class="requiredField message" id="message" name="comment" placeholder="'.esc_attr__('Comment', 'fightex').'"></textarea>
                        </div>
                            ',                 
        'label_submit' => esc_html__( 'Post comment', 'fightex' ),
        'submit_button' =>  '<button class="button-the button-the-light button-the-submit %3$s" name="%1$s" id="submit %2$s" type="submit"><span>%4$s</span></button>',
        'submit_field' => '<div>
                            <div class="button-the-wrapper button-the-wrapper-light">
                                %1$s %2$s
                            </div>
                        </div>',
        'comment_notes_before' => '',
        'comment_notes_after' => '',               
      )
?>
<?php if ( comments_open() ) : ?>
<?php comment_form($comment_args); ?>
<?php endif; ?> 
				</div>
            </div>
        </div>
        <div class="inner-divider"></div>
    </div>
</section>