<?php
/*
 * Description: A Page Template with a Page Builder design.
 */
$fightex_redux_demo = get_option('redux_demo');
get_header(); ?>
<?php if ( is_active_sidebar( 'sidebar-1' ) ){?>
<div class="blog-side-launcher" data-id="blog-side">
    <span class="ion-ios-arrow-left"></span>
</div>
<div class="blog-side panel-overlay-from-right-blog blog-side-launch"></div>
<div class="blog-side panel-from-left-blog">
    <div class="blog-sidebar-wrapper">
        <?php get_sidebar(); ?>
    </div>
</div>
<?php } ?>
<div class="home-page" id="home">
    <div class="hero-fullscreen">
    </div>
    <div class="gradient-overlay"></div>
    <div class="swiper-slide-inner-txt-all">
        <h1 class="main-title">
            <?php if(isset($fightex_redux_demo['blog_title'])){?>
            <?php echo esc_attr($fightex_redux_demo['blog_title']);?>
            <?php }else{?>
            <?php echo esc_html__( 'News', 'fightex' );
            }
            ?>
        </h1>
        <div class="inner-divider-ultra-half"></div>
        <div class="button-the-wrapper button-the-wrapper-light">
            <span class="button-the button-the-light">
                <?php if(isset($fightex_redux_demo['blog_subtitle'])){?>
                <?php echo esc_attr($fightex_redux_demo['blog_subtitle']);?>
                <?php }else{?>
                <?php echo esc_html__( "What's happening", 'fightex' );
                }
                ?>
            </span>
        </div>
    </div>
</div>
<div class="page-wrapper">
    <section class="bg-1">
        <div class="container inner-spacer">
            <div class="inner-divider"></div>
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="section-heading">
                        <span><?php echo esc_html__( '01.', 'fightex' );?></span> <?php echo esc_html__( 'Stay in The Know', 'fightex' );?>
                    </h2>
                </div>
            </div>
            <div class="inner-divider-half"></div>
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="section-header">
                        <?php echo esc_html__( 'Simplicity is not a style, it is more a philosophy about how to design something more effectively.', 'fightex' );?>
                    </h1>
                </div>
            </div>
            <div class="inner-divider"></div>
        </div>
    </section>
    <?php  
    $wp_query = new \WP_Query(array('posts_per_page' => $post_number,'post_type' => 'post',  'orderby' => 'ID', 'order' => 'ASC'));
        $args = new \WP_Query(array(
            'post_type'     => 'post',
            'paged' => $paged,
        ));
        while($wp_query->have_posts()): $wp_query->the_post();
            $blog_content = get_post_meta(get_the_ID(),'_cmb_blog_content', true);
            $post_img_1 = get_post_meta(get_the_ID(),'_cmb_post_image_1',true);
            $post_img_2 = get_post_meta(get_the_ID(),'_cmb_post_image_2',true);
    ?>
    <section class="bg-3">
        <div class="container inner-spacer">
            <div class="inner-divider"></div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="subtitle"><?php the_time(get_option( 'date_format' ));?></div>
                    <div class="inner-divider-half"></div>
                    <div class="post-spacing-3">
                        <h1 class="main-title main-title-all main-title-all-left">
                            <?php the_title(); ?>
                        </h1>
                        <div class="inner-divider-half"></div>
                        <?php print wp_specialchars_decode($blog_content); ?>
                        <div class="inner-divider-half"></div>
                        <div class="button-the-wrapper button-the-wrapper-all">
                            <a class="button-the" href="<?php the_permalink(); ?>"><?php echo esc_html__( 'Read more', 'fightex' );?></a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="inner-divider"></div>
        </div>
    </section>
    <section class="bg-3">
        <h6><?php echo esc_html__( 'Empty heading.', 'fightex' );?></h6>
        <div class="container-fluid inner-spacer">
            <div class="row">
                <div class="col-lg-12">
                    <div class="extra-margin-all">
                        <div class="showcase-bottom popup-photo-gallery">
                            <div class="showcase-bottom-img">
                                <a href="<?php echo wp_get_attachment_url($post_img_1);?>">
                                <img src="<?php echo wp_get_attachment_url($post_img_1);?>" alt="Img">
                                </a>
                            </div>
                            <div class="showcase-bottom-img">
                                <a href="<?php echo wp_get_attachment_url($post_img_2);?>">
                                <img src="<?php echo wp_get_attachment_url($post_img_2);?>" alt="Img">
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php endwhile; ?>
    <section class="bg-3">
        <div class="container inner-spacer">
            <div class="inner-divider"></div>
            <div class="row">
                <div class="col-lg-12">
                    <h2 class="section-heading section-heading-dark">
                        <span><?php echo esc_html__( '02.', 'fightex' );?></span> <?php echo esc_html__( 'The Carousel', 'fightex' );?>
                    </h2>
                </div>
            </div>
            <div class="inner-divider-half"></div>
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="section-header section-header-dark">
                        <?php echo esc_html__( 'Simplicity is not a style, it is more a philosophy about how to design something more effectively.', 'fightex' );?>
                    </h1>
                </div>
            </div>
            <div class="inner-divider"></div>
        </div>
    </section>
    <section class="bg-3">
        <div class="container-fluid nopadding">
            <div class="extra-margin-owl">
                <div class="carousel-item-img-wrapper carousel-item-img-wrapper-all">
                    <div class="owl-carousel" id="owl-carousel-all">
                        <?php  
                        $wp_query = new \WP_Query(array('posts_per_page' => $post_number,'post_type' => 'post','paged' => $paged,  'orderby' => 'ID', 'order' => 'ASC'));
                            $args = new \WP_Query(array(
                                'post_type'     => 'post',
                                'paged' => $paged,
                            ));
                            $i=0;
                            while($wp_query->have_posts()): $wp_query->the_post();
                                $i++;
                        ?>
                        <div class="post-box">
                            <div class="carousel-item-all carousel-item-works-00<?php echo esc_attr($i); ?>" style="background-image: url(<?php the_post_thumbnail_url();?>);"></div>
                            <div class="post-box-inner">
                                <div class="inner-divider-50"></div>
                                <h4 class="post-heading post-heading-all post-heading-all-lead post-heading-inner">
                                    <?php the_title(); ?>
                                </h4>
                                <span class="date"><?php the_time(get_option( 'date_format' ));?></span>
                                <div class="inner-divider-50"></div>
                                <div class="button-the-wrapper">
                                    <a class="button-the" href="<?php the_permalink(); ?>"><?php echo esc_html__( 'Read more', 'fightex' );?></a>
                                </div>
                            </div>
                        </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
            <div class="inner-divider-50"></div>
            <div class="owl-nav owl-nav-custom-all owl-nav-custom-news"></div>
            <div class="inner-divider-50"></div>
        </div>
    </section>
    <a class="page-scroll" href="#home">
        <div class="to-top-arrow">
            <span class="ion-ios-arrow-up"></span>
        </div>
    </a>
</div>
<div class="border-top"></div>
<div class="border-left"></div>
<div class="border-left border-left-color"></div>
<div class="border-right-color"></div>
<div class="border-right-color border-right"></div>
<div class="border-bottom"></div>
<div class="border-bottom border-bottom-color"></div>
<?php get_footer(); ?>