<?php
/*
 * Description: A Page Template with a Page Builder design.
 */
$fightex_redux_demo = get_option('redux_demo');
get_header(); ?>
<?php if ( is_active_sidebar( 'sidebar-1' ) ){?>
<div class="blog-side-launcher" data-id="blog-side">
    <span class="ion-ios-arrow-left"></span>
</div>
<div class="blog-side panel-overlay-from-right-blog blog-side-launch"></div>
<div class="blog-side panel-from-left-blog">
    <div class="blog-sidebar-wrapper">
        <?php get_sidebar(); ?>
    </div>
</div>
<?php } ?>
<div class="home-page" id="home">
    <div class="hero-fullscreen"></div>
    <div class="gradient-overlay"></div>
    <div class="swiper-slide-inner-txt-all">
        <h1 class="main-title">
            <?php printf( esc_html__( 'Search', 'fightex' ));?>
        </h1>
        <div class="inner-divider-ultra-half"></div>
        <div class="button-the-wrapper button-the-wrapper-light">
            <span class="button-the button-the-light">
                 <?php printf( esc_html__( 'Search Results for: %s', 'fightex' ), get_search_query() );?>
            </span>
        </div>
    </div>
</div>
<div class="page-wrapper">
    <?php  
    if ( have_posts() ) : 
    while (have_posts()): the_post(); 
        $blog_content = get_post_meta(get_the_ID(),'_cmb_blog_content', true);
    ?>
    <section class="bg-3">
        <div class="container inner-spacer">
            <div class="inner-divider-half"></div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="subtitle"><?php the_time(get_option( 'date_format' ));?></div>
                    <div class="inner-divider-ultra-half"></div>
                    <div class="post-spacing-3">
                        <h1 class="main-title main-title-all main-title-all-left">
                            <?php the_title(); ?>
                        </h1>
                        <div class="inner-divider-ultra-half"></div>
                        <?php if(isset($fightex_redux_demo['blog_excerpt'])){?>
                        <?php echo esc_attr(fightex_excerpt($fightex_redux_demo['blog_excerpt'])); ?>
                        <?php }else{?>
                        <?php echo esc_attr(fightex_excerpt(40)); 
                        }
                        ?>
                        <div class="inner-divider-ultra-half"></div>
                        <div class="button-the-wrapper button-the-wrapper-all">
                            <a class="button-the" href="<?php the_permalink(); ?>"><?php echo esc_html__( 'Read more', 'fightex' );?></a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="inner-divider-ultra-half"></div>
        </div>
    </section>
    <section class="bg-3">
        <h6><?php echo esc_html__( 'Empty heading.', 'fightex' );?></h6>
        <div class="container inner-spacer">
            <div class="row">
                <div class="col-lg-12">
                    <div class="extra-margin-all">
                        <div class="showcase-bottom popup-photo-gallery">
                            <?php the_post_thumbnail(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php endwhile; else : ?>
    <section class="bg-3">
        <div class="container inner-spacer">
            <div class="inner-divider-half"></div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="subtitle"><?php echo esc_html__( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'fightex' ) ;?></div>
                    <?php get_search_form(); ?>
                </div>
            </div>
        </div>
    </section>
<?php endif;?>
    <div class="inner-divider-half"></div>
    <a class="page-scroll" href="#home">
        <div class="to-top-arrow">
            <span class="ion-ios-arrow-up"></span>
        </div>
    </a>
</div>
<div class="border-top"></div>
<div class="border-left"></div>
<div class="border-left border-left-color"></div>
<div class="border-right-color"></div>
<div class="border-right-color border-right"></div>
<div class="border-bottom"></div>
<div class="border-bottom border-bottom-color"></div>
<?php get_footer(); ?>