<?php
// register post type team
add_action( 'init', 'register_fightex_team' );
function register_fightex_team() {
    $labels = array( 
        'name' => __( 'All Team', 'fightex' ),
        'singular_name' => __( 'All Team', 'fightex' ),
        'add_new' => __( 'Add New Team', 'fightex' ),
        'add_new_item' => __( 'Add New Team', 'fightex' ),
        'edit_item' => __( 'Edit Team', 'fightex' ),
        'new_item' => __( 'New Team', 'fightex' ),
        'view_item' => __( 'View Team', 'fightex' ),
        'search_items' => __( 'Search Team', 'fightex' ),
        'not_found' => __( 'No Team found', 'fightex' ),
        'not_found_in_trash' => __( 'No Team found in Trash', 'fightex' ),
        'parent_item_colon' => __( 'Parent Team:', 'fightex' ),
        'menu_name' => __( 'Team', 'fightex' ),
    );
    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Team',
        'supports' => array( 'title', 'authors','editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'team', 'type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-embed-post', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );
    register_post_type( 'team', $args );
}
add_action( 'init', 'create_type_hierarchical_taxonomy', 0 );
//create a custom taxonomy name it Skillss for your posts
function create_type_hierarchical_taxonomy() {
// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI
  $labels = array(
    'name' => __( 'Type', 'fightex' ),
    'singular_name' => __( 'type', 'fightex' ),
    'search_items' =>  __( 'Search type','fightex' ),
    'all_items' => __( 'All type','fightex' ),
    'parent_item' => __( 'Parent type','fightex' ),
    'parent_item_colon' => __( 'Parent type:','fightex' ),
    'edit_item' => __( 'Edit type','fightex' ), 
    'update_item' => __( 'Update type','fightex' ),
    'add_new_item' => __( 'Add New type','fightex' ),
    'new_item_name' => __( 'New type Name','fightex' ),
    'menu_name' => __( 'type','fightex' ),
  );     
// Now register the taxonomy
  register_taxonomy('type',array('team'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));
}

// register post type1 project
add_action( 'init', 'register_fightex_project' );
function register_fightex_project() {
    $labels = array( 
        'name' => __( 'All Project', 'fightex' ),
        'singular_name' => __( 'All Project', 'fightex' ),
        'add_new' => __( 'Add New Project', 'fightex' ),
        'add_new_item' => __( 'Add New Project', 'fightex' ),
        'edit_item' => __( 'Edit Project', 'fightex' ),
        'new_item' => __( 'New Project', 'fightex' ),
        'view_item' => __( 'View Project', 'fightex' ),
        'search_items' => __( 'Search Project', 'fightex' ),
        'not_found' => __( 'No Project found', 'fightex' ),
        'not_found_in_trash' => __( 'No Project found in Trash', 'fightex' ),
        'parent_item_colon' => __( 'Parent Project:', 'fightex' ),
        'menu_name' => __( 'Project', 'fightex' ),
    );
    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Project',
        'supports' => array( 'title', 'authors','editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'project', 'type1' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-embed-post', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_type' => 'post'
    );
    register_post_type( 'project', $args );
}
add_action( 'init', 'create_type1_hierarchical_taxonomy', 0 );
//create a custom taxonomy name it Skillss for your posts
function create_type1_hierarchical_taxonomy() {
// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI
  $labels = array(
    'name' => __( 'Type 1', 'fightex' ),
    'singular_name' => __( 'type1', 'fightex' ),
    'search_items' =>  __( 'Search type 1','fightex' ),
    'all_items' => __( 'All type 1','fightex' ),
    'parent_item' => __( 'Parent type 1','fightex' ),
    'parent_item_colon' => __( 'Parent type 1:','fightex' ),
    'edit_item' => __( 'Edit type 1','fightex' ), 
    'update_item' => __( 'Update type 1','fightex' ),
    'add_new_item' => __( 'Add New type 1','fightex' ),
    'new_item_name' => __( 'New type 1 Name','fightex' ),
    'menu_name' => __( 'type1','fightex' ),
  );
// Now register the taxonomy
  register_taxonomy('type1',array('project'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type1' ),
  ));
}